# Configuration Package for @codecoupler/cc-webpack-externals-plugin

If you use the plugin `@codecoupler/cc-webpack-externals-plugin` in your Webpack configuration
you can install with this package the NPM module `fullcalendar` and automatically configure this
as external library. The module will not be included in your library bundle.

Usage:

\```bash
npm i @cc-external/fullcalendar
\```

The version number of this package matches the major and minor number of the module `fullcalendar`
that is included as dependency. The patch number **do not** correspond to the module patch number.

## Remarks

Only the base files will be included in your externals definition. You have to add language files
by yourself.

You can do this in your `webpack.externals.js`:

```js
module.exports = [
  {
    module: "@cc-external/fullcalendar",
    entries: ["locales/de.js"],
  },
];
```

How to use the language files please red the documentation here: <https://fullcalendar.io/docs/locale>

If you want to load the needed JavaScript and stylesheet files dynamically in your code you must use
the path to the module. You can read the path from the global variable `ccExternals["fullcalendar"]`.

Here an example how to implement with jQuery:

```js
let path = window.ccExternals["fullcalendar"];
await $.getScript(`${path}/locales/de.js`);
```
